GTCEuStartupEvents.registry('gtceu:element', event => {
    event.create('infinity', Infinity, Infinity, -1, null, '∞', false);
})

GTCEuStartupEvents.registry('gtceu:material_icon_set', event => {
    event.create('infinity').parent(GTMaterialIconSet.SHINY)
    event.create('atomic_alloy').parent(GTMaterialIconSet.BRIGHT)
    event.create('cosmic_neutronium').parent(GTMaterialIconSet.BRIGHT)
})




GTCEuStartupEvents.registry('gtceu:material', event => {


GTMaterials.Neutronium.addFlags(GTMaterialFlags.GENERATE_FINE_WIRE, GTMaterialFlags.GENERATE_FOIL, GTMaterialFlags.GENERATE_RING, GTMaterialFlags.GENERATE_ROUND, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_SMALL_GEAR, GTMaterialFlags.GENERATE_BOLT_SCREW, GTMaterialFlags.GENERATE_DENSE)
GTMaterials.StainlessSteel.addFlags(GTMaterialFlags.GENERATE_DENSE)




    event.create('star_matter')
        .ingot().fluid()
        .color(0xd9ddfc)
    event.create('mercury_vapor')
        .fluid()
        .color(0xd7d7db)
    event.create('inert_life_essence')
        .fluid()
        .color(0xe0bcc3)
    event.create('raw_life_essence')
        .liquid()
        .color(0xa8979a)
    event.create('processed_life_essence')
        .liquid()
        .color(0xff7878)
    event.create('processed_naquadria_sulfate')
        .liquid()
        .color(0x82ff82)
    event.create('acidic_processed_naquadria_sulfate')
        .liquid()
        .color(0xc5ff82)
    event.create('acidic_naquadria_fuel_solution')
        .liquid()
        .color(0xc5ff82)
    event.create('impure_naquadria_fuel')
        .liquid()
        .color(0x6d9c76)
    event.create('pure_naquadria_fuel')
        .liquid()
        .color(0x426148)
    event.create('naquadria_plasma')
        .plasma()
        .color(0x426148)
    event.create('resonant_naquadah')
        .ingot().fluid().dust()
        .color(0x2b3d2d)
        .blastTemp(9100) 
        .cableProperties(GTValues.V[GTValues.UV], 4, 2, true)
        .iconSet(GTMaterialIconSet.SHINY)
        .flags(
            GTMaterialFlags.GENERATE_PLATE,
            GTMaterialFlags.GENERATE_BOLT_SCREW,
            GTMaterialFlags.GENERATE_ROD,
            GTMaterialFlags.GENERATE_SPRING,
            GTMaterialFlags.GENERATE_SPRING_SMALL,
            GTMaterialFlags.GENERATE_FOIL,
            GTMaterialFlags.NO_SMELTING,
            GTMaterialFlags.NO_ORE_SMELTING

        )
        event.create("crystal_matrix")
        .ingot().fluid()
        .color(0x66ffff)
        .iconSet('shiny')
        .fluidPipeProperties(100000, 64000, true, true, true, true)
        .flags(GTMaterialFlags.GENERATE_FINE_WIRE, GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_FOIL, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_FRAME, GTMaterialFlags.GENERATE_ROTOR, GTMaterialFlags.GENERATE_DENSE);
        event.create('infinity')
        .ingot()
        .element(GTElements.get("infinity"))
        .color(0xffffff)
        .iconSet('infinity')
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD,  GTMaterialFlags.GENERATE_LONG_ROD, GTMaterialFlags.GENERATE_RING, GTMaterialFlags.GENERATE_ROUND, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_SMALL_GEAR, GTMaterialFlags.GENERATE_BOLT_SCREW, GTMaterialFlags.GENERATE_FRAME, GTMaterialFlags.GENERATE_DENSE)

    event.create("triplatirium_235")
        .ingot().fluid().dust()
        .blastTemp(10800)
        .color(0x47ffaf)
        .iconSet('metallic')
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_FOIL, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_FRAME, GTMaterialFlags.GENERATE_DENSE, GTMaterialFlags.NO_SMELTING);

    event.create("atomic_alloy")
        .ingot().dust()
        .blastTemp(10800)
        .color(0x513499)
        .iconSet('bright')
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_FOIL, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_FRAME, GTMaterialFlags.GENERATE_DENSE, GTMaterialFlags.GENERATE_ROTOR, GTMaterialFlags.GENERATE_BOLT_SCREW, GTMaterialFlags.NO_SMELTING);

    event.create("triplatirium_sulfate")
        .fluid()
        .color(0xbff52a)
    event.create("processed_triplatirium_sulfate")
        .fluid()
        .color(0x97ba38)
    event.create("trisulfate_slurry")
        .fluid()
        .color(0xbaa238)
    event.create("cleaned_trisulfate_slurry")
        .fluid()
        .color(0xcfbd70)
    event.create("trisulfate_solution")
        .fluid()
        .color(0xa9ccc7)
    event.create("pure_trisulfate_solution")
        .fluid()
        .color(0xc8dedb)
    event.create("trisulfate_waste")
        .fluid()
        .color(0x303635)
    event.create("californium_sulfate")
        .fluid()
        .color(0x99997c)
    event.create("processed_californium_sulfate")
        .fluid()
        .color(0x7c8799)
    event.create("cleaned_californium")
        .dust()
        .color(0xa3b2c9)
    event.create("condensed_star_matter")
        .liquid(new GTFluidBuilder().state(GTFluidState.LIQUID).customStill())
        .color(0xffffff)
    event.create("antimatter")
        .liquid().ingot()
        .color(0x8f34eb)
        .iconSet('metallic')
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_FOIL, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_FRAME, GTMaterialFlags.GENERATE_DENSE, GTMaterialFlags.GENERATE_ROTOR, GTMaterialFlags.GENERATE_BOLT_SCREW, GTMaterialFlags.NO_SMELTING);
    event.create('reactable_fissioned_matter')
        .plasma()
        .color(0x270a4d)
        event.create('cosmic_neutronium')
        .ingot().dust()
        .color(0x001831)
        .iconSet('cosmic_neutronium')
        .blastTemp(15000) 
        .cableProperties(GTValues.V[GTValues.OpV], 999, 0, true)
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_FINE_WIRE)
    event.create('heavy_duty_alloy_t1')
        .ingot().dust()
        .color(0x333e47)
        .blastTemp(10000)
        .iconSet('metallic')
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_FINE_WIRE, GTMaterialFlags.NO_SMELTING)
    event.create('heavy_duty_alloy_t2')
        .ingot().dust()
        .color(0xc2ae8a)
        .blastTemp(10000)
        .iconSet('metallic')
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_FINE_WIRE, GTMaterialFlags.NO_SMELTING)
    event.create('heavy_duty_alloy_t3')
        .ingot().dust()
        .color(0xb2a7d4)
        .blastTemp(10000)
        .iconSet('metallic')
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_FINE_WIRE, GTMaterialFlags.NO_SMELTING)
    event.create('mixed_alloy')
        .ingot().dust()
        .color(0xe8c492)
        .iconSet('metallic')
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_FINE_WIRE)
    event.create('kaemite')
        .ingot().dust().liquid()
        .color(0x00cfff)
        .ore()
        .iconSet('metallic')
        .cableProperties(GTValues.V[GTValues.UEV], 32, 0, true)
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_FINE_WIRE, GTMaterialFlags.GENERATE_FRAME)
    event.create('acidic_venus_residue')
        .liquid()
        .color(0x944e09)
    event.create('resonant_essence_residue')
        .liquid()
        .color(0x099409)
    event.create('resonant_essence')
        .ingot().dust()
        .color(0x8ceb34)
        .blastTemp(12000)
        .iconSet('bright')
        .cableProperties(GTValues.V[GTValues.UEV], 256, 0, true)
        .flags(GTMaterialFlags.GENERATE_PLATE, GTMaterialFlags.GENERATE_ROD, GTMaterialFlags.GENERATE_GEAR, GTMaterialFlags.GENERATE_FINE_WIRE, GTMaterialFlags.GENERATE_FRAME, GTMaterialFlags.GENERATE_DENSE, GTMaterialFlags.GENERATE_ROTOR, GTMaterialFlags.GENERATE_BOLT_SCREW)
    })